Bug 734978 - AttributeError: 'MDRaidArrayDevice' object has no attribute 'metadataVersion'
AttributeError: 'MDRaidArrayDevice' object has no attribute 'metadataVersion'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:5d6c16ac37fe1021233359434b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-31 23:10 EDT by Clyde E. Kunkel
Modified: 2011-09-14 17:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-14 17:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2011-08-31 23:10:23 EDT
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: anaconda
kernel:         3.1.0-0.rc3.git0.0.fc16.x86_64
product:        Fedora
reason:         AttributeError: 'MDRaidArrayDevice' object has no attribute 'metadataVersion'
time:           Wed Aug 31 19:05:35 2011
version:        16

description:
:The following was filed automatically by anaconda:
:anaconda 16.16 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 401, in _is_valid_md
:    if metadata and device.metadataVersion not in metadata:
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 691, in is_valid_stage2_device
:    desc=self.stage2_description):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 723, in bootable_chain_devices
:    if self.is_valid_stage2_device(d, linux=False, non_linux=True)]
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1337, in has_windows
:    return len(self.bootable_chain_devices) != 0
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/timezone_gui.py", line 95, in getScreen
:    self.utcCheckbox.set_active(not anaconda.bootloader.has_windows)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1272, in display_step
:    new_screen = self.currentWindow.getScreen(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1159, in display_step
:    return self.icw.display_step(step)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 377, in dispatch
:    rc = self.anaconda.intf.display_step(self.step)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 241, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1203, in nextClicked
:    self.anaconda.dispatch.go_forward()
:AttributeError: 'MDRaidArrayDevice' object has no attribute 'metadataVersion'
Comment 1 Clyde E. Kunkel 2011-09-01 13:41:03 EDT
Two arrays:  one with metadata 0.90 and one with 1.1.
After traceback, deleted array with 1.1 metadata, reran, same error.

Sorry, thought abrt would have sent logs.  Can rerun if it would help.

The remaining md is a raid10 and mdadm --examine of the devices in it says that each is metadata type 0.90.00.

Neither mdadm --examine /dev/sd* nor blkid find any unused partitions of type linux_raid_member.
Comment 2 David Lehman 2011-09-01 13:50:29 EDT
No need for more information. Problem is well in hand. Thanks.
Comment 3 Clyde E. Kunkel 2011-09-14 17:02:10 EDT
Fixed in current anaconda.  Thanks...

Note You need to log in before you can comment on or make changes to this bug.